function h=makeFig(n,flags)
% makeFig <make Figure n>
% Usage:: h=makeFigFig(n,flags)
%

% revision history:
% 02/08/21 Mark D. Shattuck <mds> makeFig.m
% 02/09/20 mds SPDensity.m

%% Parse Input
if(~exist('flags','var') || isempty(flags))
  flags=false;
end

%% Main
switch n
  case 0 % make any static images
    clf;
    h={'boxvol.png','hvar.png','dia1.png','dia2.png'};
    if(~exist(h{1},'file') || flags) % boxvol
      im=double(permute(imread('IMG_1872.JPG'),[2 1 3]))/256;
      cim=im(1000:3500,800:2200,:);
      simage(cim.^.5);
      hold on;
      plot([255 1155],[750 750],'w');
      plot([750 750],[750 1910],'w');
      text(750,600,'Width','fontsize',30,'horizontal','center','color','w');
      text(600,1600,'Height','fontsize',30,'color','w','rotation',90);
      axis off;
      drawnow;
      im1=getframe();
      imwrite(im1.cdata,h{1});
      hold off;
    end
    if(~exist(h{2},'file') || flags) % hvar
      im=double(permute(imread('IMG_1877.JPG'),[1 2 3]))/256;
      imr=clip(imrotate(im,1.5,'bicubic'),0,1);
      imrz=imr(501:3000,451:2400,:);
      for n=1:3;
        imrz(:,:,n)=interp2(imr(1363+(1:500),1000+(1:2*195),n),(1:1950)/5,(1:2500)'/5);
      end; 
      simage([imr(501:3000,451:2400,:) imrz]);
      hold on;
      plot([0 1950],540*[1 1],'w',...
        [0 2*1950],1080*[1 1],'w',...
        [0 1950],730*[1 1],'w--',...
        [0 1950],970*[1 1],'w--');
      axis off;
      drawnow;
      im1=getframe();
      imwrite(im1.cdata,h{2});
      hold off;
    end
    if(~exist(h{3},'file') || flags) % dia1
      im=double(permute(imread('IMG_1815.JPG'),[2 1 3]))/256;
      simage(im(1500:3000,end-500:-1:500,:).^.7);
      axis off;
      drawnow;
      im1=getframe();
      imwrite(im1.cdata,h{3});
    end
    if(~exist(h{4},'file') || flags) % dia2
      im=double(permute(imread('IMG_1823.JPG'),[1 2 3]))/256;
      simage(im(1000:2300,:,:).^.7);
      axis off;
      drawnow;
      im1=getframe();
      imwrite(im1.cdata,h{4});
    end
  case 1
    h=plot(1,1);
  otherwise
    h=-1;
end

